Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 30 Sep 2014, 10:19
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Slacko B3
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 4 of 13 [191 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, ..., 11, 12, 13 Next
Author Message
rcrsn51


Joined: 05 Sep 2006
Posts: 9143
Location: Stratford, Ontario

PostPosted: Sun 18 Sep 2011, 21:23    Post subject:  

01micko wrote:
Oh it was there all right, just that "no-xcb" version from Barry's compile fest for wary/racy

I looked in my puppy_slacko_4.99.5.sfs and couldn't see it.

If you installed the Canon scanner driver, you would have given it to yourself.
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9143
Location: Stratford, Ontario

PostPosted: Sun 18 Sep 2011, 21:31    Post subject:  

01micko wrote:
edit:
Quote:
Since Slacko now has libusb-1.0, the better package to add is libusb-0.1-compat.
praytell a version? link?


Here. My Canon pixma scanner backend is built this way - with libusb-compat-0.1 and libusb-1.0. However they claim that you can stick with the original libusb-0.1.

Last edited by rcrsn51 on Sun 18 Sep 2011, 21:43; edited 1 time in total
Back to top
View user's profile Send private message 
01micko


Joined: 11 Oct 2008
Posts: 7805
Location: qld

PostPosted: Sun 18 Sep 2011, 21:33    Post subject:  

rcrsn51 wrote:
01micko wrote:
Oh it was there all right, just that "no-xcb" version from Barry's compile fest for wary/racy

I looked in my puppy_slacko_4.99.5.sfs and couldn't see it.

If you installed the Canon scanner driver, you would have given it to yourself.

ah I see what happened, Barry's package took out the older usb lib, I wonder if wary/racy has usb problems? woof issue

Code:
yes|libtiff|libtiff|exe,dev,doc,nls
yes|libtool|libtool|exe>dev,dev,doc,nls
yes|libusb||exe,dev,doc,nls
yes|libusb1|libusb|exe,dev,doc,nls
yes|libvorbis|libvorbis|exe,dev,doc,nls
no|libvpx|libvpx|exe,dev,doc,nls


That is supposed to get the different versions.. but Barry's overwrote the slackware version

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send private message Visit poster's website 
rcrsn51


Joined: 05 Sep 2006
Posts: 9143
Location: Stratford, Ontario

PostPosted: Sun 18 Sep 2011, 21:40    Post subject:  

01micko wrote:
I am leaving gutenprint out of the main iso with a message to down load it from the Setup menu in PPM (not until B4 Wink ) That will save 3M, but it is already spent mostly by broadcom.

I just received a PM from a user suggesting that Puppy should include drivers for EVERY printer.
Back to top
View user's profile Send private message 
01micko


Joined: 11 Oct 2008
Posts: 7805
Location: qld

PostPosted: Sun 18 Sep 2011, 21:41    Post subject:  

Quote:
I just received a PM from a user suggesting that Puppy should include drivers for EVERY printer.


Erm, wouldn't that double the size of the iso.. and then some? I don't think an OS that exists can ship with EVERY driver

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send private message Visit poster's website 
rcrsn51


Joined: 05 Sep 2006
Posts: 9143
Location: Stratford, Ontario

PostPosted: Sun 18 Sep 2011, 21:49    Post subject:  

Maybe Ubuntu has spoiled people.

In any case, I run Quirky constantly with the libusb-compat-0.1 and libusb-1.0 combo from the source above and have never had a problem with USB devices. But the only devices that ever seem to need it are the Canon scanners. So I don't know why BK is now making the change.
Back to top
View user's profile Send private message 
01micko


Joined: 11 Oct 2008
Posts: 7805
Location: qld

PostPosted: Sun 18 Sep 2011, 21:54    Post subject:  

libusb-compat

http://distro.ibiblio.org/pub/linux/distributions/puppylinux/pet_packages-slacko/libusb-compat-0.1.3-i486-s.pet 8K

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send private message Visit poster's website 
jim3630


Joined: 13 Feb 2011
Posts: 792
Location: Northern Nevada

PostPosted: Sun 18 Sep 2011, 22:01    Post subject:  

playdayz wrote:
Here is Chromium-16 for Slacko. It was made and tested in B2.

http://diddywahdiddy.net/Puppy500/chromium-16.0.881-slacko.pet


Thanks!
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9143
Location: Stratford, Ontario

PostPosted: Sun 18 Sep 2011, 22:02    Post subject:  

Yes, that's the same version the Canon scanner backend has. And it saves you 8K by using it instead of the full libusb-0.1!
Back to top
View user's profile Send private message 
Jim1911

Joined: 19 May 2008
Posts: 2457
Location: Texas, USA

PostPosted: Sun 18 Sep 2011, 22:05    Post subject:  

01micko wrote:
rcrsn51 wrote:
01micko wrote:
Oh it was there all right, just that "no-xcb" version from Barry's compile fest for wary/racy

I looked in my puppy_slacko_4.99.5.sfs and couldn't see it.

If you installed the Canon scanner driver, you would have given it to yourself.

ah I see what happened, Barry's package took out the older usb lib, I wonder if wary/racy has usb problems? woof issue

Code:
yes|libtiff|libtiff|exe,dev,doc,nls
yes|libtool|libtool|exe>dev,dev,doc,nls
yes|libusb||exe,dev,doc,nls
yes|libusb1|libusb|exe,dev,doc,nls
yes|libvorbis|libvorbis|exe,dev,doc,nls
no|libvpx|libvpx|exe,dev,doc,nls


That is supposed to get the different versions.. but Barry's overwrote the slackware version
Racy has the same problem. It does not recognize my HP c4280 Photosmart.

Jim
Back to top
View user's profile Send private message 
01micko


Joined: 11 Oct 2008
Posts: 7805
Location: qld

PostPosted: Sun 18 Sep 2011, 22:09    Post subject:  

Jim, try that libusb-compat I compiled, might work in racy, I don't think it linked to anything externally

EDIT: I'm telling fibs! It links to libusb-1.0 but that is a wary version since the slackware version got clobbered! (hehe.. only this once Wink )

_________________
Woof Mailing List | keep the faith Cool |

Last edited by 01micko on Sun 18 Sep 2011, 22:21; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
rcrsn51


Joined: 05 Sep 2006
Posts: 9143
Location: Stratford, Ontario

PostPosted: Sun 18 Sep 2011, 22:10    Post subject:  

Jim1911 wrote:
Racy has the same problem. It does not recognize my HP c4280 Photosmart.

Makes sense. However, your Lighthouse 64 problem is an entirely different issue. I don't know what it would be.I have posted the newer hplip_print_fd64-3.11.7.pet here. But I can't see how it would make any difference.
Back to top
View user's profile Send private message 
Jim1911

Joined: 19 May 2008
Posts: 2457
Location: Texas, USA

PostPosted: Sun 18 Sep 2011, 22:24    Post subject:  

01micko wrote:
Jim, try that libusb-compat I compiled, might work in racy, I don't think it linked to anything externally
I installed your libusb-0.1.12-w5.pet which allowed me to install the printer in Racy, however, it would not print, sorta like the problem rcrsn51 mentioned that I had in LHP. Although installed, it will not print. I also installed your libusb-compat, it still will not print in Racy which I'm posting from now. I'll report this on the Racy thread.

Jim
Back to top
View user's profile Send private message 
Sage

Joined: 04 Oct 2005
Posts: 4790
Location: GB

PostPosted: Mon 19 Sep 2011, 01:59    Post subject:  

Everyone knows that we don't have proper moderation on this Board, but jim3630 - you need to truncate your script on page 2 according to the rules so that we can not only read your contribution, but everyone elses' on that page.

Don't know the cause but attempts to d/l B3 yesterday were showing over 8hrs? Just got it this morning in 4mins!
Back to top
View user's profile Send private message 
jim3630


Joined: 13 Feb 2011
Posts: 792
Location: Northern Nevada

PostPosted: Mon 19 Sep 2011, 02:11    Post subject:  

got page 2 post sorted now.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 4 of 13 [191 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, ..., 11, 12, 13 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0854s ][ Queries: 13 (0.0070s) ][ GZIP on ]